sub sbr_style {
	local ($cfont,$cback,$cbox,$ctext,$linet) = @_;
	local ($result)="";

	$result = "STYLE=\"font-family\:$cfont\; font-size\:10pt\; color:$ctext\; background-color\:rgb($cback)\; border-width\:$linet\; border-color\:$cbox\; border-style\:solid\;\"";
}

sub sbr_text {
	local ($tname,$tvalue,$msize,$mnum,$cfont,$cback,$cbox,$ctext,$type) = @_;
	local ($result)="";

	if($s_explorer) { $result = &sbr_style($cfont,$cback,$cbox,$ctext,1); }
	else { $msize*=.6; }

	if($type eq "TEXTAREA") {
		$result = "<TEXTAREA NAME=$tname ROWS=$mnum COLS=$msize $result>$tvalue</TEXTAREA>\n";
	} else {
		$result = "<INPUT TYPE=$type NAME=$tname VALUE=\"$tvalue\" MAXLENGTH=$mnum SIZE=$msize $result>\n";
	}
}

sub sbr_cbox {
	local ($tname,$tvalue,$ccheck,$type) = @_;
	local ($result)="";

	if($ccheck) { $result = " CHECKED"; }

	$result = "<INPUT TYPE=$type NAME=$tname VALUE=$tvalue$result>\n";
}

sub sbr_select {
	local ($tname,$tpos,$cback,@lists) = @_;
	local ($result,@menus, @menur)="";

	if($s_explorer) { $result = &sbr_style("",$cback,"black","black",1); }

	$menus[0]="<SELECT NAME=$tname $result>\n";
	for($i=0; $i<@lists; $i++) { $menus[$i+1] = "<OPTION VALUE=$i>$lists[$i]</OPTION>\n"; }

	$menus[$tpos+1] = "<OPTION SELECTED VALUE=$tpos>$lists[$tpos]</OPTION>\n";
	$menus[$i+1]="</SELECT>\n";

	@menur = @menus;
}

_superboard_endcode;
